#!/usr/bin/env python
# -*- coding: utf-8 -*-

# Copyright 2012 Liricus SRL <info@liricus.com.ar>

# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Fra


#===============================================================================
# DOCS
#===============================================================================

"""This file is auto-generated generated by socialframe, with user settings.
This file contains all the necessary settings to initiate the application.

"""


#===============================================================================
# CONFIGURATIONS
#===============================================================================

#: True or False
DEBUG = True

#: Application name
APP_NAME = "social_frame_server"

#: host to run social frame server
HOST = 'localhost'

#: port where run socialframe server
PORT = 8080

#: Path to images to be show
IMAGES = ""

#: Configure our database
DB = {
    "schema": "", # sqlite3, memory or mysql
    "name": "", # name of the db or path if schema is sqlite3. Not used in memory.
    "host": "", # not used in sqlite3 and memory.
    "port": "", # not used in sqlite3 and memory.
    "user": "", # not used in sqlite3 and memory.
    "password": "", # not used in sqlite3 and memory.
}

#: Unique app key
SECRET_KEY = "$SECRET_KEY"

#: Time to expirate of hash for various operations (in seconds)
HASH_EXPIRATION = 24 * 60 * 60

#: Time to delete inactive users (in seconds)
USER_NEVER_ACTIVE_EXPIRATION = 24 * 60 * 60

#: Time for suspend a user if pass this time without login (in seconds)
USER_UNLOGED_EXPIRATION = 30 * 24 * 60 * 60

#: Time for delete a user if pass this time suspended (in seconds)
USER_SUSPENDED_EXPIRATION = 30 * 24 * 60 * 60

#: Time to sleep of cron job thread (in seconds)
CRON_JOBS_SLEEP = 15 * 60

#: Format of the date 
# (see: http://docs.python.org/library/datetime.html?highlight=datetime#strftime-and-strptime-behavior)
DATE_FORMAT = "%Y/%m/%d"

#: Max number of bubbles can return give_me_bubbles call
GIVE_ME_BUBBLES_MAX = 10

#: Max size of files to be uploads (6MB by default) 0 for no limit
MAX_UPLOAD_SIZE = 6 * 1024 * 1024

#: The default language for app
DEFAULT_LANG = "en"

#: The cache engine (for alternatives and options see: 
#: http://packages.python.org/Flask-Cache)
CACHE_TYPE = "null"


#===============================================================================
#: Mail Configuration
#===============================================================================

MAIL_DEBUG = DEBUG
MAIL_SERVER = "localhost" 
MAIL_PORT = 25 
MAIL_USE_TLS = False
MAIL_USE_SSL = False
MAIL_USERNAME = None
MAIL_PASSWORD = None
DEFAULT_MAIL_SENDER = None
DEFAULT_MAX_EMAILS = None
MAIL_FAIL_SILENTLY = True
MAIL_SUPPRESS_SEND = False

# Vaiables:
#   $to : the destination address
#   $from : the from address
#   $date : The actual date with DATE_FORMAT
#   $time : Time as hour:minutes:seconds.miliseconds
#   $app : The APP_NAME
#   $data : Where the data to be returned will be inserted
MAIL_CREATION = {
    "en": {
        "subject": "$app (User Creation)",
        "body": "For confirmation of your account please follow: $data"
    }
}

MAIL_RESET_PASSWORD = {
    "en": {
        "subject": "$app (Mail Reset)",
        "body": "New Password: $data"
    }
}

MAIL_DELETE = {
    "en": {
        "subject": "$app (Mail Delete)",
        "body": "For delete your account please follow: $data"
    }
}

MAIL_SUSPEND = {
    "en": {
        "subject": "$app (Mail Suspend)",
        "body":"For reactivate your account please follow: $data"
    }
}


#: Represents the bigest side of the image... the other is proportional
IMAGE_SIZES = {
    "thumb": 100,
    "small": 300,
    "medium": 1024,
    "big": 1900,
}


#===============================================================================
# MAIN
#===============================================================================

if __name__ == "__main__":
    print(__doc__)
